Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.identity.ldap
Class LDAPConnectionContext

    java.lang.Object
      org.jboss.portal.identity.ldap.LDAPConnectionContext

    public class LDAPConnectionContext

extends java.lang.Object

Keeps configuration of connection to LDAP server

Version:
  $Revision: 1.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `CONNECTION_POOL`
`static java.lang.String` | `CONNECTION_POOL_DEBUG`
`static java.lang.String` | `CONNECTION_POOL_INITSIZE`
`static java.lang.String` | `CONNECTION_POOL_MAXSIZE`
`static java.lang.String` | `CONNECTION_POOL_PREFSIZE`
`static java.lang.String` | `CONNECTION_POOL_PROTOCOL`
`static java.lang.String` | `CONNECTION_POOL_TIMEOUT`

Constructor Summary
`LDAPConnectionContext()`

Method Summary
`javax.naming.ldap.LdapContext` | `createInitialContext()`
`java.lang.String` | `getAdminDN()`
`java.lang.String` | `getAdminPassword()`
`java.lang.String` | `getAuthentication()`
`java.lang.String` | `getContextFactory()`
`java.util.Hashtable` | `getEnvironment()`
`java.lang.String` | `getExternalContextJndiName()`
`java.lang.String` | `getHost()`
`IdentityContext` | `getIdentityContext()`
`ServiceJNDIBinder` | `getJndiBinder()`
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPoolingDebug()`
`java.lang.String` | `getPoolingInitsize()`
`java.lang.String` | `getPoolingMaxsize()`
`java.lang.String` | `getPoolingPrefsize()`
`java.lang.String` | `getPoolingProtocol()`
`java.lang.String` | `getPoolingTimeout()`
`java.lang.String` | `getPort()`
`java.lang.String` | `getProtocol()`
`boolean` | `isPooling()`
`void` | `setAdminDN(java.lang.String adminDN)`
`void` | `setAdminPassword(java.lang.String adminPassword)`
`void` | `setAuthentication(java.lang.String authentication)`
`void` | `setContextFactory(java.lang.String contextFactory)`
`void` | `setExternalContextJndiName(java.lang.String externalContextJndiName)`
`void` | `setHost(java.lang.String host)`
`void` | `setIdentityContext(IdentityContext identityContext)`
`void` | `setJndiBinder(ServiceJNDIBinder jndiBinder)`
`void` | `setJNDIName(java.lang.String jndiName)`
`void` | `setName(java.lang.String name)`
`void` | `setPooling(boolean pooling)`
`void` | `setPoolingDebug(java.lang.String poolingDebug)`
`void` | `setPoolingInitsize(java.lang.String poolingInitsize)`
`void` | `setPoolingMaxsize(java.lang.String poolingMaxsize)`
`void` | `setPoolingPrefsize(java.lang.String poolingPrefsize)`
`void` | `setPoolingProtocol(java.lang.String poolingProtocol)`
`void` | `setPoolingTimeout(java.lang.String poolingTimeout)`
`void` | `setPort(java.lang.String port)`
`void` | `setProtocol(java.lang.String protocol)`
`void` | `start()`
`void` | `stop()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONNECTION_POOL

    public static final java.lang.String CONNECTION_POOL

See Also:
  Constant Field Values

### CONNECTION_POOL_DEBUG

    public static final java.lang.String CONNECTION_POOL_DEBUG

See Also:
  Constant Field Values

### CONNECTION_POOL_INITSIZE

    public static final java.lang.String CONNECTION_POOL_INITSIZE

See Also:
  Constant Field Values

### CONNECTION_POOL_MAXSIZE

    public static final java.lang.String CONNECTION_POOL_MAXSIZE

See Also:
  Constant Field Values

### CONNECTION_POOL_PREFSIZE

    public static final java.lang.String CONNECTION_POOL_PREFSIZE

See Also:
  Constant Field Values

### CONNECTION_POOL_PROTOCOL

    public static final java.lang.String CONNECTION_POOL_PROTOCOL

See Also:
  Constant Field Values

### CONNECTION_POOL_TIMEOUT

    public static final java.lang.String CONNECTION_POOL_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### LDAPConnectionContext

    public LDAPConnectionContext()

Method Detail

### getEnvironment

    public java.util.Hashtable getEnvironment()

### createInitialContext

    public javax.naming.ldap.LdapContext createInitialContext()
                                                       throws IdentityException

  Throws:
    `IdentityException`

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAuthentication

    public java.lang.String getAuthentication()

### setAuthentication

    public void setAuthentication(java.lang.String authentication)

### getJNDIName

    public java.lang.String getJNDIName()

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getContextFactory

    public java.lang.String getContextFactory()

### setContextFactory

    public void setContextFactory(java.lang.String contextFactory)

### getAdminDN

    public java.lang.String getAdminDN()

### setAdminDN

    public void setAdminDN(java.lang.String adminDN)

### getAdminPassword

    public java.lang.String getAdminPassword()

### setAdminPassword

    public void setAdminPassword(java.lang.String adminPassword)

### getProtocol

    public java.lang.String getProtocol()

### setProtocol

    public void setProtocol(java.lang.String protocol)

### getHost

    public java.lang.String getHost()

### setHost

    public void setHost(java.lang.String host)

### getPort

    public java.lang.String getPort()

### setPort

    public void setPort(java.lang.String port)

### getExternalContextJndiName

    public java.lang.String getExternalContextJndiName()

### setExternalContextJndiName

    public void setExternalContextJndiName(java.lang.String externalContextJndiName)

### getJndiBinder

    public ServiceJNDIBinder getJndiBinder()

### setJndiBinder

    public void setJndiBinder(ServiceJNDIBinder jndiBinder)

### getIdentityContext

    public IdentityContext getIdentityContext()

### setIdentityContext

    public void setIdentityContext(IdentityContext identityContext)

### isPooling

    public boolean isPooling()

### setPooling

    public void setPooling(boolean pooling)

### getPoolingDebug

    public java.lang.String getPoolingDebug()

### setPoolingDebug

    public void setPoolingDebug(java.lang.String poolingDebug)

### getPoolingInitsize

    public java.lang.String getPoolingInitsize()

### setPoolingInitsize

    public void setPoolingInitsize(java.lang.String poolingInitsize)

### getPoolingMaxsize

    public java.lang.String getPoolingMaxsize()

### setPoolingMaxsize

    public void setPoolingMaxsize(java.lang.String poolingMaxsize)

### getPoolingPrefsize

    public java.lang.String getPoolingPrefsize()

### setPoolingPrefsize

    public void setPoolingPrefsize(java.lang.String poolingPrefsize)

### getPoolingProtocol

    public java.lang.String getPoolingProtocol()

### setPoolingProtocol

    public void setPoolingProtocol(java.lang.String poolingProtocol)

### getPoolingTimeout

    public java.lang.String getPoolingTimeout()

### setPoolingTimeout

    public void setPoolingTimeout(java.lang.String poolingTimeout)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD